SELinux - Bug #32023

Denial when installing on CentOS 8 Stream
03/05/2021 02:18 PM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: General Foreman
Target version: 2.3.5
Difficulty: Fixed in Releases: 2.35,24.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-s
elinux/pull/125

Description
There is the following denial on CO8Stream:
type=AVC msg=audit(1614873402.173:1566): avc: denied { getattr } for pid=30429 comm="httpd"

path="/etc/puppetlabs/puppet/ssl/certs/centos8-stream-foreman-nightly.wisse.example.com.pem" dev="vda1" ino=33568393
scontext=system_u:system_r:httpd_t:sO tcontext=unconfined_u:object_r:puppet_etc_t:s0 tclass=file permissive=0

This drills down to a problem with a different rule - ipa-selinux don't need to be installed by default and thus relevant macro will not
expand correctly.

Associated revisions

Revision 2796f13f - 03/16/2021 12:02 PM - Lukas Zapletal

Fixes #32023 - make ipa macro optional

Revision 82fe697c - 03/16/2021 12:02 PM - Lukas Zapletal
Fixes #32023 - logging, puppet, tftp, abrt optional

History

#1 - 03/05/2021 02:34 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-selinux/pull/125 added

#2 - 03/16/2021 12:02 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#3 - 03/16/2021 12:04 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.4.0

| think this is a good candidate for a cherry pick to 2.4 which would likely be the first version to support Stream.

#4 - 03/16/2021 01:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset 2796f13f1ea3802eaa03a8875d58ae8aeb931045.

#5 - 03/17/2021 02:15 PM - Tomer Brisker
- Fixed in Releases 2.4.0 added
- Fixed in Releases deleted (2.5.0)

#6 - 06/07/2021 01:48 PM - Tomer Brisker
https://projects.theforeman.org/projects/selinux/repository/19/revisions/2796f13f1ea3802eaa03a8875d58ae8aeb931045

- Target version changed from 2.4.0 to 2.3.5

#7 - 06/07/2021 02:07 PM - Tomer Brisker
- Fixed in Releases 2.3.5 added
